Backend: Open-Source Fixedpoint Model-Checker version 2020 
Protocol: ISO_twopass_mutual_symm_CORRECTED
Types:
[(Purpose,["purposeText3","purposeText1"]),(Agent False False,["A","B"]),(Number,["NA","NB","Text1","Text2","Text3","Text4","tag"]),(Function,["sk"])]
section rules:
step rule_0:
iknows(crypt(K,M));
iknows(inv(K))

=>
iknows(M)

step rule_1:
iknows(crypt(inv(K),M));
iknows(K)

=>
iknows(M)

step rule_2:
iknows(scrypt(K,M));
iknows(K)

=>
iknows(M)

step rule_3:
iknows(pair(M1,M2))

=>
iknows(M1);
iknows(M2)

step rule_4:
secret(M,Agent (honest a));
iknows(M)

=>
attack(pair(secrecy,M))

step rule_5:
request(A,B,Purpose (purposeNA),M,(SID sid))
 | B/=Agent (dishonest i);
M/=Nonce (absNA(pair(B,A)))
=>
attack(pair(authentication,pair(A,pair(B,M))))

step rule_6:
request(A,B,Purpose (purposeText1),M,(SID sid))
 | B/=Agent (dishonest i);
M/=Nonce (absText1(pair(B,A)))
=>
attack(pair(authentication,pair(A,pair(B,M))))

step rule_7:
request(A,B,Purpose (purposeNB),M,(SID sid))
 | B/=Agent (dishonest i);
M/=Nonce (absNB(pair(B,A)))
=>
attack(pair(authentication,pair(A,pair(B,M))))

step rule_8:
request(A,B,Purpose (purposeText3),M,(SID sid))
 | B/=Agent (dishonest i);
M/=Nonce (absText3(pair(B,A)))
=>
attack(pair(authentication,pair(A,pair(B,M))))

step rule_9:
State (rA,[Agent (A),Step 0,Nonce (tag),SymKey (sk(pair(Agent (A),Agent (B)))),Agent (B),(SID sid)])

=>
witness(Agent (A),Agent (B),Purpose (pBAText1),Nonce (absText1(pair(Agent (A),Agent (B)))));
State (rA,[Agent (A),Step 1,Nonce (tag),SymKey (sk(pair(Agent (A),Agent (B)))),Agent (B),Nonce (absNA(pair(Agent (A),Agent (B)))),Nonce (absText1(pair(Agent (A),Agent (B)))),scrypt(SymKey (sk(pair(Agent (A),Agent (B)))),pair(Nonce (absNA(pair(Agent (A),Agent (B)))),pair(Agent (B),pair(Nonce (absText1(pair(Agent (A),Agent (B)))),Nonce (tag))))),(SID sid)]);
iknows(scrypt(SymKey (sk(pair(Agent (A),Agent (B)))),pair(Nonce (absNA(pair(Agent (A),Agent (B)))),pair(Agent (B),pair(Nonce (absText1(pair(Agent (A),Agent (B)))),Nonce (tag))))))

step rule_10:
State (rB,[Agent (B),Step 0,Nonce (tag),SymKey (sk(pair(Agent (A),Agent (B)))),Agent (A),(SID sid)]);
iknows(scrypt(SymKey (sk(pair(Agent (A),Agent (B)))),pair(Nonce (NA),pair(Agent (B),pair(Nonce (Text1),Nonce (tag))))))

=>
witness(Agent (B),Agent (A),Purpose (pABText3),Nonce (absText3(pair(Agent (B),Agent (A)))));
request(Agent (B),Agent (A),Purpose (pBAText1),Nonce (Text1),(SID sid));
State (rB,[Agent (B),Step 1,Nonce (tag),SymKey (sk(pair(Agent (A),Agent (B)))),Agent (A),Nonce (Text1),Nonce (NA),scrypt(SymKey (sk(pair(Agent (A),Agent (B)))),pair(Nonce (NA),pair(Agent (B),pair(Nonce (Text1),Nonce (tag))))),Nonce (absNB(pair(Agent (B),Agent (A)))),Nonce (absText3(pair(Agent (B),Agent (A)))),scrypt(SymKey (sk(pair(Agent (A),Agent (B)))),pair(Nonce (absNB(pair(Agent (B),Agent (A)))),pair(Agent (A),Nonce (absText3(pair(Agent (B),Agent (A))))))),(SID sid)]);
iknows(scrypt(SymKey (sk(pair(Agent (A),Agent (B)))),pair(Nonce (absNB(pair(Agent (B),Agent (A)))),pair(Agent (A),Nonce (absText3(pair(Agent (B),Agent (A))))))))

step rule_11:
State (rB,[Agent (B),Step 0,Nonce (tag),SymKey (sk(pair(Agent (A),Agent (B)))),Agent (A),(SID sid)]);
iknows(SymKey (sk(pair(Agent (A),Agent (B)))));
iknows(Nonce (NA));
iknows(Agent (B));
iknows(Nonce (Text1));
iknows(Nonce (tag))

=>
witness(Agent (B),Agent (A),Purpose (pABText3),Nonce (absText3(pair(Agent (B),Agent (A)))));
request(Agent (B),Agent (A),Purpose (pBAText1),Nonce (Text1),(SID sid));
State (rB,[Agent (B),Step 1,Nonce (tag),SymKey (sk(pair(Agent (A),Agent (B)))),Agent (A),Nonce (Text1),Nonce (NA),scrypt(SymKey (sk(pair(Agent (A),Agent (B)))),pair(Nonce (NA),pair(Agent (B),pair(Nonce (Text1),Nonce (tag))))),Nonce (absNB(pair(Agent (B),Agent (A)))),Nonce (absText3(pair(Agent (B),Agent (A)))),scrypt(SymKey (sk(pair(Agent (A),Agent (B)))),pair(Nonce (absNB(pair(Agent (B),Agent (A)))),pair(Agent (A),Nonce (absText3(pair(Agent (B),Agent (A))))))),(SID sid)]);
iknows(scrypt(SymKey (sk(pair(Agent (A),Agent (B)))),pair(Nonce (absNB(pair(Agent (B),Agent (A)))),pair(Agent (A),Nonce (absText3(pair(Agent (B),Agent (A))))))))

step rule_12:
State (rA,[Agent (A),Step 1,Nonce (tag),SymKey (sk(pair(Agent (A),Agent (B)))),Agent (B),Nonce (NA),Nonce (Text1),scrypt(SymKey (sk(pair(Agent (A),Agent (B)))),pair(Nonce (NA),pair(Agent (B),pair(Nonce (Text1),Nonce (tag))))),(SID sid)]);
iknows(scrypt(SymKey (sk(pair(Agent (A),Agent (B)))),pair(Nonce (NB),pair(Agent (A),Nonce (Text3)))))

=>
request(Agent (A),Agent (B),Purpose (pABText3),Nonce (Text3),(SID sid));
State (rA,[Agent (A),Step 2,Nonce (tag),SymKey (sk(pair(Agent (A),Agent (B)))),Agent (B),Nonce (NA),Nonce (Text1),scrypt(SymKey (sk(pair(Agent (A),Agent (B)))),pair(Nonce (NA),pair(Agent (B),pair(Nonce (Text1),Nonce (tag))))),Nonce (Text3),Nonce (NB),scrypt(SymKey (sk(pair(Agent (A),Agent (B)))),pair(Nonce (NB),pair(Agent (A),Nonce (Text3)))),(SID sid)])

step rule_13:
State (rA,[Agent (A),Step 1,Nonce (tag),SymKey (sk(pair(Agent (A),Agent (B)))),Agent (B),Nonce (NA),Nonce (Text1),scrypt(SymKey (sk(pair(Agent (A),Agent (B)))),pair(Nonce (NA),pair(Agent (B),pair(Nonce (Text1),Nonce (tag))))),(SID sid)]);
iknows(SymKey (sk(pair(Agent (A),Agent (B)))));
iknows(Nonce (NB));
iknows(Agent (A));
iknows(Nonce (Text3))

=>
request(Agent (A),Agent (B),Purpose (pABText3),Nonce (Text3),(SID sid));
State (rA,[Agent (A),Step 2,Nonce (tag),SymKey (sk(pair(Agent (A),Agent (B)))),Agent (B),Nonce (NA),Nonce (Text1),scrypt(SymKey (sk(pair(Agent (A),Agent (B)))),pair(Nonce (NA),pair(Agent (B),pair(Nonce (Text1),Nonce (tag))))),Nonce (Text3),Nonce (NB),scrypt(SymKey (sk(pair(Agent (A),Agent (B)))),pair(Nonce (NB),pair(Agent (A),Nonce (Text3)))),(SID sid)])


section initial state:
init_0: iknows(Nonce (ni));
init_1: iknows(Agent (dishonest i));
init_2: State (rA,[Agent (honest a),Step 0,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),(SID sid)]);
init_3: State (rA,[Agent (honest a),Step 0,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),(SID sid)]);
init_4: iknows(Step 0);
init_5: iknows(Nonce (tag));
init_6: iknows(SymKey (sk(pair(Agent (dishonest i),Agent (dishonest i)))));
init_7: iknows((SID sid));
init_8: iknows(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))));
init_9: iknows(Agent (honest a));
init_10: State (rB,[Agent (honest a),Step 0,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),(SID sid)]);
init_11: State (rB,[Agent (honest a),Step 0,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),(SID sid)]);
init_12: iknows(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))));

section fixedpoint:
fp_0: witness(Agent (honest a),Agent (dishonest i),Purpose (pBAText1),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))));
fp_1: State (rA,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),(SID sid)]);
fp_2: witness(Agent (honest a),Agent (honest a),Purpose (pBAText1),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))));
fp_3: State (rA,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (tag))))),(SID sid)]);
fp_4: witness(Agent (honest a),Agent (dishonest i),Purpose (pABText3),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))));
fp_5: request(Agent (honest a),Agent (dishonest i),Purpose (pBAText1),Nonce (ni),(SID sid));
fp_6: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (ni),Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),pair(Nonce (ni),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_7: request(Agent (honest a),Agent (dishonest i),Purpose (pBAText1),Nonce (tag),(SID sid));
fp_8: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (tag),Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),pair(Nonce (tag),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_9: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (ni),Nonce (tag),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (tag),pair(Agent (honest a),pair(Nonce (ni),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_10: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (tag),Nonce (tag),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (tag),pair(Agent (honest a),pair(Nonce (tag),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_11: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))));
fp_12: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (tag))))));
fp_13: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))));
fp_14: iknows(pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)));
fp_15: iknows(pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))));
fp_16: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))));
fp_17: iknows(pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))));
fp_18: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))));
fp_19: witness(Agent (honest a),Agent (honest a),Purpose (pABText3),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))));
fp_20: request(Agent (honest a),Agent (honest a),Purpose (pBAText1),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),(SID sid));
fp_21: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_22: request(Agent (honest a),Agent (dishonest i),Purpose (pABText3),Nonce (ni),(SID sid));
fp_23: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (ni),Nonce (ni),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (honest a),Nonce (ni)))),(SID sid)]);
fp_24: request(Agent (honest a),Agent (dishonest i),Purpose (pABText3),Nonce (tag),(SID sid));
fp_25: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (tag),Nonce (ni),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (honest a),Nonce (tag)))),(SID sid)]);
fp_26: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (ni),Nonce (tag),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (tag),pair(Agent (honest a),Nonce (ni)))),(SID sid)]);
fp_27: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (tag),Nonce (tag),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (tag),pair(Agent (honest a),Nonce (tag)))),(SID sid)]);
fp_28: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a))))))));
fp_29: iknows(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))));
fp_30: iknows(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))));
fp_31: iknows(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))));
fp_32: iknows(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))));
fp_33: iknows(pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)));
fp_34: iknows(pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))));
fp_35: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))));
fp_36: iknows(pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))));
fp_37: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))));
fp_38: request(Agent (honest a),Agent (dishonest i),Purpose (pBAText1),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),(SID sid));
fp_39: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_40: request(Agent (honest a),Agent (dishonest i),Purpose (pBAText1),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),(SID sid));
fp_41: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_42: request(Agent (honest a),Agent (dishonest i),Purpose (pBAText1),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),(SID sid));
fp_43: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_44: request(Agent (honest a),Agent (dishonest i),Purpose (pBAText1),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),(SID sid));
fp_45: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_46: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (ni),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (ni),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_47: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (tag),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (tag),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_48: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_49: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_50: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_51: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_52: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (ni),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (ni),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_53: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (tag),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (tag),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_54: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_55: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_56: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_57: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_58: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (ni),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (ni),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_59: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (tag),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (tag),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_60: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_61: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_62: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_63: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_64: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (ni),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (ni),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_65: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (tag),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (tag),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_66: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_67: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_68: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_69: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_70: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (tag),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_71: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (tag),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_72: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (tag),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_73: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (tag),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_74: request(Agent (honest a),Agent (honest a),Purpose (pABText3),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),(SID sid));
fp_75: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (tag))))),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_76: request(Agent (honest a),Agent (dishonest i),Purpose (pABText3),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),(SID sid));
fp_77: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_78: request(Agent (honest a),Agent (dishonest i),Purpose (pABText3),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),(SID sid));
fp_79: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_80: request(Agent (honest a),Agent (dishonest i),Purpose (pABText3),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),(SID sid));
fp_81: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_82: request(Agent (honest a),Agent (dishonest i),Purpose (pABText3),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),(SID sid));
fp_83: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_84: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (ni),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (ni)))),(SID sid)]);
fp_85: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (tag),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (tag)))),(SID sid)]);
fp_86: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_87: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_88: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_89: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_90: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (ni),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (ni)))),(SID sid)]);
fp_91: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (tag),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (tag)))),(SID sid)]);
fp_92: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_93: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_94: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_95: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_96: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (ni),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (ni)))),(SID sid)]);
fp_97: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (tag),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (tag)))),(SID sid)]);
fp_98: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_99: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_100: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_101: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_102: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (ni),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (ni)))),(SID sid)]);
fp_103: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (tag),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (tag)))),(SID sid)]);
fp_104: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_105: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_106: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_107: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_108: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (tag),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_109: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (tag),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_110: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (tag),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_111: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag),scrypt(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (tag),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_112: iknows(pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)));
fp_113: iknows(pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag))));
fp_114: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))));
fp_115: iknows(pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))));
fp_116: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))));

section abstraction:
NA->Nonce (absNA(pair(A,B)));
Text1->Nonce (absText1(pair(A,B)));
NB->Nonce (absNB(pair(B,A)));
Text3->Nonce (absText3(pair(B,A)))

